Subject: Re: [bug#34365] [PATCH] gnu: Add python-daemon.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 07 Feb 2019 14:07:12 +0100

Vagrant Cascadian <[email-masked]> writes:

>> Before pushing this I’ll add a final #T to this phase.  (In the past #F
>> would indicate failure, but that’s on longer the case.  “substitute*”
>> annoyingly returns an unspecified value.)
>
> My eyes still have trouble identifying where exactly this would
> go... and #T/#F vs. #t/#f has me a bit confused for good measure!

Oh sorry.  It should go after the (substitute* …) clause.  We sometimes
capitalize variable names and values when referring to them.  We would
write “#t” here.

>>> +    (license (list license:asl2.0 license:gpl3+))))
>>
>> What does this list mean?
>
> I guess it's best practice in Guix to make a comment when multiple
> licenses are listed?

Yes.  We don’t have a syntactic way to express license algebra, so we
usually add a comment when a list of licenses applies.

> Apparently only setup.py is gpl3+, everything else is apache 2.0
> licensed. That was my quick look at the code itself, and basically
> confirmed by:
>
>   https://sources.debian.org/src/python-daemon/2.2.3-1/debian/copyright/

Excellent.  This can be added as a short comment above the license
field.

Thanks!

--
Ricardo